/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.el.convert;

import java.text.DecimalFormat;

import junit.framework.TestCase;

public class SerialConverterTest extends TestCase {

	public void testConstructor(){
		try{
			new SerialConverter((Iterable<Convertable>)null);
			fail();
		}catch(final NullPointerException expected){
		}
		try{
			new SerialConverter((Convertable[])null);
			fail();
		}catch(final NullPointerException expected){
		}
	}

	public void testNormal(){
		final Convertable c = new SerialConverter(
				new FormatConverter(new DecimalFormat()),
				new ParseConverter(new DecimalFormat())
		);
		assertEquals(new Long(1000), c.convert(new Integer(1000), null, null));
	}
}
